﻿Public Class Form1
    Private Sub Form1_Load() Handles MyBase.Load
        Dim factory, group, person As TreeNode

        ' Create some nodes.
        trvOrgChart.Nodes.Clear()
        factory = trvOrgChart.Nodes.Add(
            "f R & D", "R & D", 0, 0)
        group = factory.Nodes.Add(
            "g Engineering", "Engineering", 1, 1)
        person = group.Nodes.Add(
            "p Cameron, Charlie", "Cameron, Charlie", 2, 2)
        person = group.Nodes.Add(
            "p Davos, Debbie", "Davos, Debbie", 2, 2)

        group = factory.Nodes.Add(
            "g Test", "Test", 1, 1)
        person = group.Nodes.Add(
            "p Able, Andy", "Able, Andy", 2, 2)
        person = group.Nodes.Add(
            "p Baker, Betty", "Baker, Betty", 2, 2)

        factory = trvOrgChart.Nodes.Add(
            "f Sales & Support", "Sales & Support", 0, 0)
        group = factory.Nodes.Add(
            "g Showroom Sales", "Showroom Sales", 1, 1)
        person = group.Nodes.Add(
            "p Gaines, Gina", "Gaines, Gina", 2, 2)
        person = group.Nodes.Add(
            "p Davos, Debbie", "Davos, Debbie", 2, 2)

        group = factory.Nodes.Add(
            "g Field Service", "Field Service", 1, 1)
        person = group.Nodes.Add(
            "p Helms, Harry", "Helms, Harry", 2, 2)
        person = group.Nodes.Add(
            "p Ives, Irma", "Ives, Irma", 2, 2)
        person = group.Nodes.Add(
            "p Jackson, Josh", "Jackson, Josh", 2, 2)

        group = factory.Nodes.Add(
            "g Customer Support", "Customer Support", 1, 1)
        person = group.Nodes.Add(
            "p Klug, Karl", "Klug, Karl", 2, 2)
        person = group.Nodes.Add(
            "p Landau, Linda", "Landau, Linda", 2, 2)

        trvOrgChart.ExpandAll()
        trvOrgChart.Nodes(0).EnsureVisible()
    End Sub

    ' Don't let the user edit top-level nodes. 
    ' They don't contain the path separator.
    Private Sub trvOrgChart_BeforeLabelEdit(ByVal sender As Object, ByVal e As System.Windows.Forms.NodeLabelEditEventArgs) Handles trvOrgChart.BeforeLabelEdit
        e.CancelEdit = Not e.Node.FullPath.Contains(trvOrgChart.PathSeparator)
    End Sub
End Class
