﻿Public Class Form1
    Private Sub btnRun_Click() Handles btnRun.Click
        Try
            ' Use the runas verb to start the process.
            Dim psi As New ProcessStartInfo
            psi.Verb = "runas"
            psi.UseShellExecute = True
            psi.FileName = txtProgram.Text
            psi.Arguments = txtArguments.Text

            Dim pro As System.Diagnostics.Process
            pro = System.Diagnostics.Process.Start(psi)

            ' Wait for the process to exit.
            pro.WaitForExit()

            ' Display the process's exit code.
            MessageBox.Show("Exit code: " & pro.ExitCode)

        Catch ex As System.ComponentModel.Win32Exception
            ' This happens if the user fails to elevate to Administrator.
            MessageBox.Show("Operation canceled",
                "Canceled", MessageBoxButtons.OK,
                MessageBoxIcon.Information)
        End Try
    End Sub

    ' Make the button display the UAC shield.
    Private Sub Form1_Load() Handles MyBase.Load
        AddShieldToButton(btnRun)

        ' Fill in the path where we expect to find NoPrivs.exe.
        txtProgram.Text =
            My.Computer.FileSystem.CombinePath(
                Application.StartupPath,
                "..\..\..\NoPrivs\bin\Debug\NoPrivs.exe")
    End Sub
End Class
