﻿Imports System.Drawing.Drawing2D

Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        e.Graphics.SmoothingMode = SmoothingMode.AntiAlias

        ' Draw the original diamond.
        DrawDiamond(e.Graphics)

        ' Translate to center at the origin.
        e.Graphics.TranslateTransform(-125, -125, MatrixOrder.Append)

        ' Scale by a factor of 2.
        e.Graphics.ScaleTransform(2, 2, MatrixOrder.Append)

        ' Translate the center back to where it was.
        e.Graphics.TranslateTransform(125, 125, MatrixOrder.Append)

        ' Draw the diamond.
        DrawDiamond(e.Graphics)
    End Sub

    Private Sub DrawDiamond(ByVal gr As Graphics)
        Dim pts() As Point = {
            New Point(75, 125),
            New Point(125, 75),
            New Point(175, 125),
            New Point(125, 175)
        }
        gr.DrawPolygon(Pens.Black, pts)
    End Sub
End Class
