﻿Public Class Form1
    ' Make a label.
    Private Sub btnMakeLabel_Click() Handles btnMakeLabel.Click
        Dim lbl As New Label
        lbl.SetBounds(16, 64, 80, 23)
        lbl.Text = "Hello World!"
        lbl.Name = "lblHelloWorld"
        Me.Controls.Add(lbl)
    End Sub

    ' Declare the btnHi button WithEvents.
    Private WithEvents btnHi As Button

    ' Make the new btnHi button.
    Private Sub btnMakeHiButton_Click() Handles btnMakeHiButton.Click
        btnHi = New Button
        btnHi.SetBounds(16, 16, 80, 23)
        btnHi.Text = "Say Hi"
        grpNewButton.Controls.Add(btnHi)
    End Sub

    ' Say Hi.
    Private Sub btnHi_Click() Handles btnHi.Click
        MessageBox.Show("Hi", "Hi", MessageBoxButtons.OK)
    End Sub

    ' Make a Hello button that is not declared WithEvents.
    Private Sub btnMakeHelloButton_Click() Handles btnMakeHelloButton.Click
        ' Make the button.
        Dim btnHello As New Button
        btnHello.SetBounds(240, 64, 80, 23)
        btnHello.Text = "Say Hello"
        btnHello.Name = "btnHello"
        Me.Controls.Add(btnHello)

        ' Add a Click event handler to the button.
        AddHandler btnHello.Click, AddressOf Hello_Click
    End Sub

    ' Say Hello.
    Private Sub Hello_Click()
        MessageBox.Show("Hello", "Hello", MessageBoxButtons.OK)
    End Sub

    ' Remove the Hi button.
    Private Sub btnbRemoveHiButton_Click() Handles btnbRemoveHiButton.Click
        grpNewButton.Controls.Remove(btnHi)
        btnHi = Nothing
    End Sub

    Private Sub btnRemoveHelloButton_Click() Handles btnRemoveHelloButton.Click
        Me.Controls.Remove(Me.Controls("btnHello"))
    End Sub

    Private Sub btnRemoveLabel_Click() Handles btnRemoveLabel.Click
        Me.Controls.Remove(Me.Controls("lblHelloWorld"))
    End Sub
End Class
