﻿Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        ' Define the curve's control points.
        Dim pts() As Point = {
            New Point(50, 80),
            New Point(200, 50),
            New Point(20, 200),
            New Point(200, 150),
            New Point(250, 50),
            New Point(250, 200),
            New Point(100, 250)
        }

        ' Draw the closed curve.
        e.Graphics.SmoothingMode = Drawing2D.SmoothingMode.HighQuality

        ' Draw one curve.
        Using curve_pen As New Pen(Color.Black, 3)
            e.Graphics.DrawClosedCurve(curve_pen, pts)
        End Using

        ' Draw rectangles on the control points.
        For i As Integer = 0 To pts.Length - 1
            e.Graphics.FillRectangle(Brushes.White, pts(i).X - 2, pts(i).Y - 2, 5, 5)
            e.Graphics.DrawRectangle(Pens.Black, pts(i).X - 2, pts(i).Y - 2, 5, 5)
        Next i
    End Sub
End Class
