﻿Imports System.Drawing.Drawing2D

Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        e.Graphics.SmoothingMode = SmoothingMode.AntiAlias

        Using the_pen As New Pen(Color.Blue, 0)
            ' Scale by a factor of 90.
            e.Graphics.ScaleTransform(90, 90, MatrixOrder.Append)

            ' Translate to center on the form.
            e.Graphics.TranslateTransform(
                Me.ClientRectangle.Width \ 2,
                Me.ClientRectangle.Height \ 2,
                MatrixOrder.Append)

            For i As Integer = 5 To 90 Step 5
                ' Save the state.
                Dim graphics_state As GraphicsState = e.Graphics.Save()

                ' Rotate i degrees.
                e.Graphics.RotateTransform(i, MatrixOrder.Prepend)

                ' Draw a rectangle.
                e.Graphics.DrawRectangle(the_pen, -1, -1, 2, 2)

                ' Restore the saved state.
                e.Graphics.Restore(graphics_state)
            Next i

            '' Simpler version
            'For i As Integer = 5 To 90 Step 5
            '' Rotate 5 degrees.
            'e.Graphics.RotateTransform(5, MatrixOrder.Prepend)
            '' Draw a rectangle.
            'Using black_pen As New Pen(Color.Black, 0)
            'e.Graphics.DrawRectangle(black_pen, -1, -1, 2, 2)
            'End Using
            'Next i

        End Using
    End Sub
End Class
