﻿Imports System.Drawing.Drawing2D

Public Class Form1
    Private Sub Form1_Load() Handles MyBase.Load
        Me.SetStyle(ControlStyles.AllPaintingInWmPaint Or ControlStyles.ResizeRedraw, True)
        Me.UpdateStyles()
    End Sub

    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        e.Graphics.SmoothingMode = SmoothingMode.AntiAlias

        ' Define the layout rectangle. It's slightly smaller 
        ' than the form rotated 90 degrees so the rotated
        ' text will fit the form nicely.
        Dim rect_wid As Integer = Me.ClientSize.Height - 20
        Dim rect_hgt As Integer = Me.ClientSize.Width - 20
        Dim layout_rect As New RectangleF(
            (Me.ClientSize.Width - rect_wid) \ 2,
            (Me.ClientSize.Height - rect_hgt) \ 2,
            rect_wid, rect_hgt)

        ' Define the text and font.
        Dim txt As String = "The quick brown fox jumps over the lazy dog."
        Using the_font As New Font("Times New Roman", 30, FontStyle.Bold, GraphicsUnit.Pixel)
            ' Set the StringFormat to center the text.
            Using string_format As New StringFormat
                string_format.Alignment = StringAlignment.Center
                string_format.LineAlignment = StringAlignment.Center

                ' Translate to the origin, rotate, and translate back.
                e.Graphics.TranslateTransform(-Me.ClientSize.Width \ 2, -Me.ClientSize.Height \ 2, MatrixOrder.Append)
                e.Graphics.RotateTransform(60, MatrixOrder.Append)
                e.Graphics.TranslateTransform(Me.ClientSize.Width \ 2, Me.ClientSize.Height \ 2, MatrixOrder.Append)

                ' Draw the text and layout rectangle.
                e.Graphics.TextRenderingHint = System.Drawing.Text.TextRenderingHint.AntiAliasGridFit
                e.Graphics.DrawString(txt, the_font, Brushes.Black, layout_rect, string_format)
                e.Graphics.DrawRectangle(Pens.Black, Rectangle.Round(layout_rect))
            End Using ' string_format
        End Using ' the_font
    End Sub
End Class
